List of all members
clan::SoundProviderFactory Class Reference
clanSound Sound Providers

Sound Provider Factor class. More...

`#include <soundprovider_factory.h>`

## Static Public Member Functions
Operations
static SoundProvider * | load (const std::string &filename, bool streamed, const FileSystem &fs, const std::string &type=std::string())
| Loads an sample file from 'filename', using the provider identified by 'type'. More...
static SoundProvider * | load (const std::string &fullname, bool streamed, const std::string &type=std::string())
| Loads an sample file from 'filename', using the provider identified by 'type'. More...
static SoundProvider * | load (IODevice &file, bool streamed, const std::string &type)
| Loads an sample file from 'file', using the provider identified by 'type'. More...

## Detailed Description

Sound Provider Factor class.

The documentation for this class was generated from the following file:

- soundprovider_factory.h